Update Prospect: Funnel
https://api.propexo.com/crm/v1/prospects/funnel/:prospect_idAuthentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The Propexo unique identifier for the prospect
Request
This endpoint expects an object.
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
The primary email address associated with the prospect
Primary phone number associated with the prospect
Secondary phone number associated with the prospect
The first name associated with the prospect
The last name associated with the prospect
The move-in date associated with the prospect
Show 2 variants
The minimum rent of the prospect
Possible values: >= 1
The maximum rent of the prospect
Possible values: >= 1
Notes associated with the prospect
Possible values: <= 1000 characters
A list of pets related to the prospect
Show 3 enum values
SMALL_DOGLARGE_DOGCATResponse
Successful response
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
meta objectrequired
result objectrequired
The Propexo unique identifier for the prospect
The primary email address associated with the prospect
Primary phone number associated with the prospect
Secondary phone number associated with the prospect
The first name associated with the prospect
The last name associated with the prospect
The move-in date associated with the prospect
Show 2 variants
The minimum rent of the prospect
Possible values: >= 1
The maximum rent of the prospect
Possible values: >= 1
Notes associated with the prospect
Possible values: <= 1000 characters
Show 3 enum values
SMALL_DOGLARGE_DOGCATErrors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X PUT https://api.propexo.com/crm/v1/prospects/funnel/:prospect_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"email_1": "string"
}'
{
"meta": {
"job_id": "string"
},
"result": {
"prospect_id": "string",
"email_1": "string",
"phone_1": "string",
"phone_2": "string",
"first_name": "string",
"last_name": "string",
"move_in_date": "2024-07-29T15:51:28.071Z",
"rent_minimum_in_cents": 0,
"rent_maximum_in_cents": 0,
"notes": "string",
"pets": [
"SMALL_DOG"
]
}
}